You are not logged in.

#1 2020-06-17 16:28:07

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,148

ca-certificate bug 962596 ... June 2020

OK .. to install or not to install?

Debian 10 Buster install

Fetched 147 MB in 22s (6,839 kB/s)                                                                                                 
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
serious bugs of ca-certificates (20190110 → 20200601~deb10u1) <Pending Upload>
 b1 - #962596 - ca-certificates: Removal of GeoTrust Global CA requires investigation
Summary:
 ca-certificates(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...] ?
     y     - continue the APT installation, but do not mark the bugs
             as ignored.
     a     - continue the APT installation and mark all the above bugs
             as ignored.
     n     - stop the APT installation.
     r     - redisplay bug lists.
 p <pkg..> - pin pkgs (restart APT session to enable).
 p         - pin all the above pkgs (restart APT session to enable).
 i <num>   - mark bug number <num> as ignored.
 i b<id>   - mark the bug identified by <id> as ignored.
     ?     - print this help.
     w     - display bug lists in HTML
             (uses sensible-browser as user root).
Are you sure you want to install/upgrade the above packages? [Y/n/?/...] w

** (epiphany:11814): WARNING **: 12:46:48.521: webkit_web_context_set_web_process_count_limit is deprecated and does nothing. Limiting the number of web processes is no longer possible for security reasons

** (epiphany:11814): CRITICAL **: 12:46:48.821: void webkit_web_context_register_uri_scheme(WebKitWebContext*, const char*, WebKitURISchemeRequestCallback, gpointer, GDestroyNotify): assertion 'g_ascii_strcasecmp(scheme, "ftp") != 0' failed

https://bugs.debian.org/cgi-bin/bugrepo … bug=962596

This is above my pay-grade.
- read: knowledge level


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

#2 2020-06-17 17:27:56

rbh
Member
From: Sweden/Vasterbotten/Rusfors
Registered: 2016-08-11
Posts: 442

Re: ca-certificate bug 962596 ... June 2020

Sector11 wrote:

OK .. to install or not to install?

From the buglink:

Pushing packages to Debian takes time. If you need something for today you need to fix it yourself.

You can downgrade to the old version of the package ca-certificates or install the missed certificate manually

This recipe allows to do that:

wget --no-check-certificate -c https://www.geotrust.com/resources/root_certificates/certificates/GeoTrust_Global_CA.pem   \
    && mkdir /usr/local/share/ca-certificates/extra                                                                       \
    && mv GeoTrust_Global_CA.pem /usr/local/share/ca-certificates/extra/GeoTrust_Global_CA.crt                            \
    && update-ca-certificates

And when you upgrade to the fixed version of ca-certificates you can remove the directory /usr/local/share/ca-certificates/extra 
and run the command update-ca-certificates again.

I installed, did not bother to fix cert for GeoTrust...


// Regards rbh

Online

#3 2020-06-17 20:38:03

Sector11
Conky 1.9er Mod Squid
From: Upstairs
Registered: 2015-08-20
Posts: 6,148

Re: ca-certificate bug 962596 ... June 2020

I did not install it ...

 17 Jun 20 @ 17:35:03 ~
   $ shld
ca-certificates
screenruler
 
 17 Jun 20 @ 17:35:10 ~
   $ 

My alias section for "apt-mark" cuz I'm lazy:

### HOLD UNHOLD AUTO MANUAL ###
alias hld='sudo apt-mark hold'
alias unhld='sudo apt-mark unhold'
alias shld='apt-mark showhold'
alias auto='sudo apt-mark auto'
alias manu='sudo apt-mark manual'

So was just wondering IF I should update  big_smile


The sun will never set if you keep walking towards it. - my son
Being positive doesn't understand physics.
_______________________________
Debian 10 Buster = SharpBang ♯!

Offline

Board footer

Powered by FluxBB